Skip to main content
PUT
/
bank-accounts
/
{id}
Update Bank Account
curl --request PUT \
  --url https://api.caminotreasury.com/v1/bank-accounts/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "account": {
    "account_number": "<string>",
    "routing_number": "<string>"
  },
  "address": {
    "street_line_1": "<string>",
    "city": "<string>",
    "country": "<string>",
    "street_line_2": "<string>",
    "state": "<string>",
    "postal_code": "<string>"
  }
}
'
{
  "id": 123,
  "organizationId": "<string>",
  "userId": "<string>",
  "bankName": "<string>",
  "accountOwnerName": "<string>",
  "routingNumber": "<string>",
  "accountNumberLast4": "<string>",
  "checkingOrSavings": "checking",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "bridgeExternalAccountId": "<string>",
  "businessName": "<string>",
  "accountType": "<string>",
  "currency": "<string>",
  "accountOwnerType": "<string>",
  "active": true
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Path Parameters

id
integer
required

Body

application/json
account
object
required
address
object
required

Response

Updated bank account

id
integer
required
organizationId
string
required
userId
string
required
bankName
string
required
accountOwnerName
string
required
routingNumber
string
required
accountNumberLast4
string
required
checkingOrSavings
enum<string>
required
Available options:
checking,
savings
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
bridgeExternalAccountId
string | null
businessName
string | null
accountType
string
currency
string
accountOwnerType
string
active
boolean